Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# TAO_PSDL_Node_Visitor Class Reference

`#include <PSDL_Node_Visitor.h>`

Inheritance diagram for TAO_PSDL_Node_Visitor:

[legend]
Collaboration diagram for TAO_PSDL_Node_Visitor:

[legend]
List of all members.

## Public Methods
| TAO_PSDL_Node_Visitor ()
virtual | ~TAO_PSDL_Node_Visitor (void)
virtual int | visit_specification (TAO_PSDL_Specification *)
virtual int | visit_definition (TAO_PSDL_Definition *)
virtual int | visit_module (TAO_PSDL_Module *)
virtual int | visit_abstract_storagetype (TAO_PSDL_Abstract_Storagetype *)
virtual int | visit_abstract_storagetype_dcl (TAO_PSDL_Abstract_Storagetype_Dcl *)
virtual int | visit_abstract_storagetype_fwd_dcl (TAO_PSDL_Abstract_Storagetype_Fwd_Dcl *)
virtual int | visit_abstract_storagetype_header (TAO_PSDL_Abstract_Storagetype_Header *)
virtual int | visit_abstract_storagetype_body (TAO_PSDL_Abstract_Storagetype_Body *)
virtual int | visit_abstract_storagetype_member (TAO_PSDL_Abstract_Storagetype_Member *)
virtual int | visit_abstract_storagetype_inh_spec (TAO_PSDL_Abstract_Storagetype_Inh_Spec *)
virtual int | visit_abstract_storagetype_name (TAO_PSDL_Abstract_Storagetype_Name *)
virtual int | visit_psdl_state_dcl (TAO_PSDL_Psdl_State_Dcl *)
virtual int | visit_psdl_state_type_spec (TAO_PSDL_Psdl_State_Type_Spec *)
virtual int | visit_abstract_storagetype_ref_type (TAO_PSDL_Abstract_Storagetype_Ref_Type)
virtual int | visit_abstract_storagehome (TAO_PSDL_Abstract_Storagehome *)
virtual int | visit_abstract_storagehome_fwd_dcl (TAO_PSDL_Abstract_Storagehome_Fwd_Dcl *)
virtual int | visit_abstract_storagehome_dcl (TAO_PSDL_Abstract_Storagehome_Dcl *)
virtual int | visit_abstract_storagehome_header (TAO_PSDL_Abstract_Storagehome_Header *)
virtual int | visit_abstract_storagehome_body (TAO_PSDL_Abstract_Storagehome_Body *)
virtual int | visit_abstract_storagehome_member (TAO_PSDL_Abstract_Storagehome_Member *)
virtual int | visit_abstract_storagehome_inh_spec (TAO_PSDL_Abstract_Storagehome_Inh_Spec *)
virtual int | visit_abstract_storagehome_name (TAO_PSDL_Abstract_Storagehome_Name *)
virtual int | visit_local_op_dcl (TAO_PSDL_Local_Op_Dcl *)
virtual int | visit_key_dcl (TAO_PSDL_Key_Dcl *)
virtual int | visit_catalog (TAO_PSDL_Catalog *)
virtual int | visit_catalog_inh_spec (TAO_PSDL_Catalog_Inh_Spec *)
virtual int | visit_catalog_name (TAO_PSDL_Catalog_Name *)
virtual int | visit_catalog_body (TAO_PSDL_Catalog_Body *)
virtual int | visit_catalog_member (TAO_PSDL_Catalog_Member *)
virtual int | visit_storagetype_member (TAO_PSDL_Storagetype_Member *)
virtual int | visit_storagetype_inh_spec (TAO_PSDL_Storagetype_Inh_Spec *)
virtual int | visit_storagetype_name (TAO_PSDL_Storagetype_Name *)
virtual int | visit_storagetype_impl_spec (TAO_PSDL_Storagetype_Impl_Spec *)
virtual int | visit_storagetype_ref_type (TAO_PSDL_Storagetype_Ref_Type *)
virtual int | visit_store_directive (TAO_PSDL_Store_Directive *)
virtual int | visit_psdl_concrete_state_type (TAO_PSDL_Psdl_Concrete_State_Type *)
virtual int | visit_ref_rep_directive (TAO_PSDL_Ref_Rep_Directive *)
virtual int | visit_storagehome (TAO_PSDL_Storagehome *)
virtual int | visit_storagehome_header (TAO_PSDL_Storagehome_Header *)
virtual int | visit_storagehome_body (TAO_PSDL_Storagehome_Body *)
virtual int | visit_storagehome_member (TAO_PSDL_Storagehome_Member *)
virtual int | visit_storagehome_inh_spec (TAO_PSDL_Storagehome_Inh_Spec *)
virtual int | visit_storagehome_name (TAO_PSDL_Storagehome_Name *)
virtual int | visit_storagehome_impl_spec (TAO_PSDL_Storagehome_Impl_Spec *)
virtual int | visit_primary_key_dcl (TAO_PSDL_Primary_Key_Dcl *)
virtual int | visit_identifier (TAO_PSDL_Identifier *)
virtual int | visit_type_dcl (TAO_PSDL_Type_Dcl *)
virtual int | visit_type_declarator (TAO_PSDL_Type_Declarator *)
virtual int | visit_type_spec (TAO_PSDL_Type_Spec *)
virtual int | visit_simple_type_spec (TAO_PSDL_Simple_Type_Spec *)
virtual int | visit_base_type_spec (TAO_PSDL_Base_Type_Spec *)
virtual int | visit_template_type_spec (TAO_PSDL_Template_Type_Spec *)
virtual int | visit_constr_type_spec (TAO_PSDL_Constr_Type_Spec *)
virtual int | visit_declarators (TAO_PSDL_Declarators *)
virtual int | visit_declarator (TAO_PSDL_Declarator *)
virtual int | visit_simple_declarator (TAO_PSDL_Simple_Declarator *)
virtual int | visit_simple_declarator_list (TAO_PSDL_Simple_Declarator_List *)
virtual int | visit_complex_declarator (TAO_PSDL_Complex_Declarator *)
virtual int | visit_predefined_type (TAO_PSDL_Predefined_Type *)
virtual int | visit_member_list (TAO_PSDL_Member_List *)
virtual int | visit_member (TAO_PSDL_Member *)
virtual int | visit_union_type (TAO_PSDL_Union_Type *)
virtual int | visit_switch_type_spec (TAO_PSDL_Switch_Type_Spec *)
virtual int | visit_switch_body (TAO_PSDL_Switch_Body *)
virtual int | visit_case_case (TAO_PSDL_Case *)
virtual int | visit_case_label (TAO_PSDL_Case_Label *)
virtual int | visit_element_spec (TAO_PSDL_Element_Spec *)
virtual int | visit_const_dcl (TAO_PSDL_Const_Dcl *)
virtual int | visit_const_type (TAO_PSDL_Const_Type *)
virtual int | visit_const_exp (TAO_PSDL_Const_Exp *)
virtual int | visit_or_expr (TAO_PSDL_Or_Expr *)
virtual int | visit_xor_expr (TAO_PSDL_Xor_Expr *)
virtual int | visit_and_expr (TAO_PSDL_And_Expr *)
virtual int | visit_shift_expr (TAO_PSDL_Shift_Expr *)
virtual int | visit_add_expr (TAO_PSDL_Add_Expr *)
virtual int | visit_mult_expr (TAO_PSDL_Mult_Expr *)
virtual int | visit_unary_expr (TAO_PSDL_Unary_Expr *)
virtual int | visit_primary_expr (TAO_PSDL_Primary_Expr *)
virtual int | visit_except_dcl (TAO_PSDL_Except_Dcl *)
virtual int | visit_op_dcl (TAO_PSDL_Op_Dcl *)
virtual int | visit_storagetype (TAO_PSDL_Storagetype *)
virtual int | visit_storagetype_dcl (TAO_PSDL_Storagetype_Dcl *)
virtual int | visit_storagetype_fwd_dcl (TAO_PSDL_Storagetype_Fwd_Dcl *)
virtual int | visit_storagetype_header (TAO_PSDL_Storagetype_Header *)
virtual int | visit_storagetype_body (TAO_PSDL_Storagetype_Body *)
virtual int | visit_storagehome_scope (TAO_PSDL_Storagehome_Scope *)
virtual int | visit_provides_dcl (TAO_PSDL_Provides_Dcl *)
virtual int | visit_op_type_spec (TAO_PSDL_Op_Type_Spec *)
virtual int | visit_parameter_dcls (TAO_PSDL_Parameter_Dcls *)
virtual int | visit_param_dcl (TAO_PSDL_Param_Dcl *)
virtual int | visit_raises_expr (TAO_PSDL_Raises_Expr *)
virtual int | visit_context_expr (TAO_PSDL_Context_Expr *)
virtual int | visit_param_type_spec (TAO_PSDL_Param_Type_Spec *)
virtual int | visit_fixed_pt_type (TAO_PSDL_Fixed_Pt_Type *)
virtual int | visit_constr_forward_decl (TAO_PSDL_Constr_Forward_Decl *)
virtual int | visit_interface (TAO_PSDL_Interface *)
virtual int | visit_interface_body (TAO_PSDL_Interface_Body *)
virtual int | visit_interface_dcl (TAO_PSDL_Interface_Dcl *)
virtual int | visit_forward_dcl (TAO_PSDL_Forward_Dcl *)
virtual int | visit_interface_header (TAO_PSDL_Interface_Header *)
virtual int | visit_export_dcl (TAO_PSDL_Export_Dcl *)
virtual int | visit_interface_inheritance_spec (TAO_PSDL_Interface_Inheritance_Spec *)
virtual int | visit_interface_name (TAO_PSDL_Interface_Name *)
virtual int | visit_scoped_name (TAO_PSDL_Scoped_Name *)
virtual int | visit_value (TAO_PSDL_Value *)
virtual int | visit_value_common_base (TAO_PSDL_Value_Common_Base *)
virtual int | visit_value_forward_dcl (TAO_PSDL_Value_Forward_Dcl *)
virtual int | visit_value_box_dcl (TAO_PSDL_Value_Box_Dcl *)
virtual int | visit_value_abs_dcl (TAO_PSDL_Value_Abs_Dcl *)
virtual int | visit_value_dcl (TAO_PSDL_Value_Dcl *)
virtual int | visit_value_header (TAO_PSDL_Value_Header *)
virtual int | visit_value_inheritance_spec (TAO_PSDL_Value_Inheritance_Spec *)
virtual int | visit_value_name (TAO_PSDL_Value_Name *)
virtual int | visit_value_element (TAO_PSDL_Value_Element *)
virtual int | visit_array_declarator (TAO_PSDL_Array_Declarator *)
virtual int | visit_fixed_array_size (TAO_PSDL_Fixed_Array_Size *)
virtual int | visit_enumerator (TAO_PSDL_Enumerator *)
virtual int | visit_literal (TAO_PSDL_Literal *)
virtual int | visit_state_member (TAO_PSDL_State_Member *)
virtual int | visit_init_dcl (TAO_PSDL_Init_Dcl *)
virtual int | visit_init_param_decls (TAO_PSDL_Init_Param_Decls *)
virtual int | visit_init_param_decl (TAO_PSDL_Init_Param_Decl *)
virtual int | visit_factory_parameters (TAO_PSDL_Factory_Parameters *)
virtual int | visit_attr_dcl (TAO_PSDL_Attr_Dcl *)
virtual int | visit_factory_dcl (TAO_PSDL_Factory_Dcl *)
virtual int | visit_positive_int_const (TAO_PSDL_Positive_Int_Const *)
virtual int | base_type (const ACE_CString &identifier_name, ACE_CString &identifier_type)
| To check if the identifier_type is a predefined type or one that is defined in the idl in case. More...
virtual ACE_CString | version_for_stub (ACE_CString identifier_type)
virtual void | gen_code_for_si (void)
virtual void | gen_code_for_sinline (void)
## Protected Attributes
ACE_Array_Base< ACE_CString > | identifiers_
ACE_Array_Base< CORBA::ULong > | predefined_type_
CORBA::ULong | count_
TAO_PSDL_Node_Visitor * | node_visitor_
TAO_PSDL_Visitor_Factory * | visitor_factory_

## Constructor & Destructor Documentation

TAO_PSDL_Node_Visitor::TAO_PSDL_Node_Visitor | ( |  | ) |

TAO_PSDL_Node_Visitor::~TAO_PSDL_Node_Visitor | ( | void |  | ) | `[virtual]`

## Member Function Documentation

int TAO_PSDL_Node_Visitor::base_type | ( | const ACE_CString & | identifier,
|  | ACE_CString & | identifier_type
| ) | `[virtual]`

| To check if the identifier_type is a predefined type or one that is defined in the idl in case.

void TAO_PSDL_Node_Visitor::gen_code_for_si | ( | void |  | ) | `[virtual]`

| Reimplemented in TAO_PSDL_Interface_Visitor, TAO_PSDL_Struct_Visitor, and TAO_PSDL_Type_Dcl_Visitor.

void TAO_PSDL_Node_Visitor::gen_code_for_sinline | ( | void |  | ) | `[virtual]`

| Reimplemented in TAO_PSDL_Struct_Visitor.

ACE_CString TAO_PSDL_Node_Visitor::version_for_stub | ( | ACE_CString | identifier_type | ) | `[virtual]`

int TAO_PSDL_Node_Visitor::visit_abstract_storagehome | ( | TAO_PSDL_Abstract_Storagehome * |  | ) | `[virtual]`

| Reimplemented in Dump_Visitor, and TAO_PSDL_Scope_Visitor.

int TAO_PSDL_Node_Visitor::visit_abstract_storagehome_body | ( | TAO_PSDL_Abstract_Storagehome_Body * |  | ) | `[virtual]`

| Reimplemented in Dump_Visitor, and TAO_PSDL_Scope_Visitor.

int TAO_PSDL_Node_Visitor::visit_abstract_storagehome_dcl | ( | TAO_PSDL_Abstract_Storagehome_Dcl * |  | ) | `[virtual]`

| Reimplemented in Dump_Visitor, and TAO_PSDL_Scope_Visitor.

int TAO_PSDL_Node_Visitor::visit_abstract_storagehome_fwd_dcl | ( | TAO_PSDL_Abstract_Storagehome_Fwd_Dcl * |  | ) | `[virtual]`

| Reimplemented in Dump_Visitor, and TAO_PSDL_Scope_Visitor.

int TAO_PSDL_Node_Visitor::visit_abstract_storagehome_header | ( | TAO_PSDL_Abstract_Storagehome_Header * |  | ) | `[virtual]`

| Reimplemented in Dump_Visitor, and TAO_PSDL_Scope_Visitor.

int TAO_PSDL_Node_Visitor::visit_abstract_storagehome_inh_spec | ( | TAO_PSDL_Abstract_Storagehome_Inh_Spec * |  | ) | `[virtual]`

| Reimplemented in Dump_Visitor, and TAO_PSDL_Scope_Visitor.

int TAO_PSDL_Node_Visitor::visit_abstract_storagehome_member | ( | TAO_PSDL_Abstract_Storagehome_Member * |  | ) | `[virtual]`

| Reimplemented in Dump_Visitor, and TAO_PSDL_Scope_Visitor.

int TAO_PSDL_Node_Visitor::visit_abstract_storagehome_name | ( | TAO_PSDL_Abstract_Storagehome_Name * |  | ) | `[virtual]`

| Reimplemented in Dump_Visitor, and TAO_PSDL_Scope_Visitor.

int TAO_PSDL_Node_Visitor::visit_abstract_storagetype | ( | TAO_PSDL_Abstract_Storagetype * |  | ) | `[virtual]`

| Reimplemented in Dump_Visitor, and TAO_PSDL_Scope_Visitor.

int TAO_PSDL_Node_Visitor::visit_abstract_storagetype_body | ( | TAO_PSDL_Abstract_Storagetype_Body * |  | ) | `[virtual]`

| Reimplemented in Dump_Visitor, and TAO_PSDL_Scope_Visitor.

int TAO_PSDL_Node_Visitor::visit_abstract_storagetype_dcl | ( | TAO_PSDL_Abstract_Storagetype_Dcl * |  | ) | `[virtual]`

| Reimplemented in Dump_Visitor, and TAO_PSDL_Scope_Visitor.

int TAO_PSDL_Node_Visitor::visit_abstract_storagetype_fwd_dcl | ( | TAO_PSDL_Abstract_Storagetype_Fwd_Dcl * |  | ) | `[virtual]`

| Reimplemented in Dump_Visitor, and TAO_PSDL_Scope_Visitor.

int TAO_PSDL_Node_Visitor::visit_abstract_storagetype_header | ( | TAO_PSDL_Abstract_Storagetype_Header * |  | ) | `[virtual]`

| Reimplemented in Dump_Visitor, and TAO_PSDL_Scope_Visitor.

int TAO_PSDL_Node_Visitor::visit_abstract_storagetype_inh_spec | ( | TAO_PSDL_Abstract_Storagetype_Inh_Spec * |  | ) | `[virtual]`

| Reimplemented in Dump_Visitor, and TAO_PSDL_Scope_Visitor.

int TAO_PSDL_Node_Visitor::visit_abstract_storagetype_member | ( | TAO_PSDL_Abstract_Storagetype_Member * |  | ) | `[virtual]`

| Reimplemented in Dump_Visitor, and TAO_PSDL_Scope_Visitor.

int TAO_PSDL_Node_Visitor::visit_abstract_storagetype_name | ( | TAO_PSDL_Abstract_Storagetype_Name * |  | ) | `[virtual]`

| Reimplemented in Dump_Visitor, and TAO_PSDL_Scope_Visitor.

int TAO_PSDL_Node_Visitor::visit_abstract_storagetype_ref_type | ( | TAO_PSDL_Abstract_Storagetype_Ref_Type |  | ) | `[virtual]`

| Reimplemented in Dump_Visitor, and TAO_PSDL_Scope_Visitor.

int TAO_PSDL_Node_Visitor::visit_add_expr | ( | TAO_PSDL_Add_Expr * |  | ) | `[virtual]`

| Reimplemented in Dump_Visitor, and TAO_PSDL_Scope_Visitor.

int TAO_PSDL_Node_Visitor::visit_and_expr | ( | TAO_PSDL_And_Expr * |  | ) | `[virtual]`

| Reimplemented in Dump_Visitor, and TAO_PSDL_Scope_Visitor.

int TAO_PSDL_Node_Visitor::visit_array_declarator | ( | TAO_PSDL_Array_Declarator * |  | ) | `[virtual]`

| Reimplemented in Dump_Visitor, and TAO_PSDL_Scope_Visitor.

int TAO_PSDL_Node_Visitor::visit_attr_dcl | ( | TAO_PSDL_Attr_Dcl * | attr_dcl | ) | `[virtual]`

| Reimplemented in Dump_Visitor, and TAO_PSDL_Scope_Visitor.

int TAO_PSDL_Node_Visitor::visit_base_type_spec | ( | TAO_PSDL_Base_Type_Spec * | base_type_spec | ) | `[virtual]`

| Reimplemented in Dump_Visitor, and TAO_PSDL_Scope_Visitor.

int TAO_PSDL_Node_Visitor::visit_case_case | ( | TAO_PSDL_Case * |  | ) | `[virtual]`

| Reimplemented in Dump_Visitor, and TAO_PSDL_Scope_Visitor.

int TAO_PSDL_Node_Visitor::visit_case_label | ( | TAO_PSDL_Case_Label * |  | ) | `[virtual]`

| Reimplemented in Dump_Visitor, and TAO_PSDL_Scope_Visitor.

int TAO_PSDL_Node_Visitor::visit_catalog | ( | TAO_PSDL_Catalog * |  | ) | `[virtual]`

| Reimplemented in Dump_Visitor, and TAO_PSDL_Scope_Visitor.

int TAO_PSDL_Node_Visitor::visit_catalog_body | ( | TAO_PSDL_Catalog_Body * |  | ) | `[virtual]`

| Reimplemented in Dump_Visitor, and TAO_PSDL_Scope_Visitor.

int TAO_PSDL_Node_Visitor::visit_catalog_inh_spec | ( | TAO_PSDL_Catalog_Inh_Spec * |  | ) | `[virtual]`

| Reimplemented in Dump_Visitor, and TAO_PSDL_Scope_Visitor.

int TAO_PSDL_Node_Visitor::visit_catalog_member | ( | TAO_PSDL_Catalog_Member * |  | ) | `[virtual]`

| Reimplemented in Dump_Visitor, and TAO_PSDL_Scope_Visitor.

int TAO_PSDL_Node_Visitor::visit_catalog_name | ( | TAO_PSDL_Catalog_Name * |  | ) | `[virtual]`

| Reimplemented in Dump_Visitor, and TAO_PSDL_Scope_Visitor.

int TAO_PSDL_Node_Visitor::visit_complex_declarator | ( | TAO_PSDL_Complex_Declarator * | complex_declarator | ) | `[virtual]`

| Reimplemented in Dump_Visitor, and TAO_PSDL_Scope_Visitor.

int TAO_PSDL_Node_Visitor::visit_const_dcl | ( | TAO_PSDL_Const_Dcl * | const_dcl | ) | `[virtual]`

| Reimplemented in Dump_Visitor, and TAO_PSDL_Scope_Visitor.

int TAO_PSDL_Node_Visitor::visit_const_exp | ( | TAO_PSDL_Const_Exp * |  | ) | `[virtual]`

| Reimplemented in Dump_Visitor, and TAO_PSDL_Scope_Visitor.

int TAO_PSDL_Node_Visitor::visit_const_type | ( | TAO_PSDL_Const_Type * | const_type | ) | `[virtual]`

| Reimplemented in Dump_Visitor, and TAO_PSDL_Scope_Visitor.

int TAO_PSDL_Node_Visitor::visit_constr_forward_decl | ( | TAO_PSDL_Constr_Forward_Decl * | constr_fwd_dcl | ) | `[virtual]`

| Reimplemented in Dump_Visitor, and TAO_PSDL_Scope_Visitor.

int TAO_PSDL_Node_Visitor::visit_constr_type_spec | ( | TAO_PSDL_Constr_Type_Spec * |  | ) | `[virtual]`

| Reimplemented in Dump_Visitor, and TAO_PSDL_Scope_Visitor.

int TAO_PSDL_Node_Visitor::visit_context_expr | ( | TAO_PSDL_Context_Expr * | context_expr | ) | `[virtual]`

| Reimplemented in Dump_Visitor, and TAO_PSDL_Scope_Visitor.

int TAO_PSDL_Node_Visitor::visit_declarator | ( | TAO_PSDL_Declarator * | declarator | ) | `[virtual]`

| Reimplemented in Dump_Visitor, TAO_PSDL_Scope_Visitor, and TAO_PSDL_Struct_Visitor.

int TAO_PSDL_Node_Visitor::visit_declarators | ( | TAO_PSDL_Declarators * | declarators | ) | `[virtual]`

| Reimplemented in Dump_Visitor, and TAO_PSDL_Scope_Visitor.

int TAO_PSDL_Node_Visitor::visit_definition | ( | TAO_PSDL_Definition * | definition | ) | `[virtual]`

| Reimplemented in Dump_Visitor, and TAO_PSDL_Scope_Visitor.

int TAO_PSDL_Node_Visitor::visit_element_spec | ( | TAO_PSDL_Element_Spec * |  | ) | `[virtual]`

| Reimplemented in Dump_Visitor, and TAO_PSDL_Scope_Visitor.

int TAO_PSDL_Node_Visitor::visit_enumerator | ( | TAO_PSDL_Enumerator * | enumerator | ) | `[virtual]`

| Reimplemented in Dump_Visitor, TAO_PSDL_Enum_Type_Visitor, and TAO_PSDL_Scope_Visitor.

int TAO_PSDL_Node_Visitor::visit_except_dcl | ( | TAO_PSDL_Except_Dcl * | except_dcl | ) | `[virtual]`

| Reimplemented in Dump_Visitor, TAO_PSDL_Exception_Visitor, and TAO_PSDL_Scope_Visitor.

int TAO_PSDL_Node_Visitor::visit_export_dcl | ( | TAO_PSDL_Export_Dcl * | export_dcl | ) | `[virtual]`

| Reimplemented in Dump_Visitor, and TAO_PSDL_Scope_Visitor.

int TAO_PSDL_Node_Visitor::visit_factory_dcl | ( | TAO_PSDL_Factory_Dcl * |  | ) | `[virtual]`

| Reimplemented in Dump_Visitor, and TAO_PSDL_Scope_Visitor.

int TAO_PSDL_Node_Visitor::visit_factory_parameters | ( | TAO_PSDL_Factory_Parameters * |  | ) | `[virtual]`

| Reimplemented in Dump_Visitor, and TAO_PSDL_Scope_Visitor.

int TAO_PSDL_Node_Visitor::visit_fixed_array_size | ( | TAO_PSDL_Fixed_Array_Size * |  | ) | `[virtual]`

| Reimplemented in Dump_Visitor, and TAO_PSDL_Scope_Visitor.

int TAO_PSDL_Node_Visitor::visit_fixed_pt_type | ( | TAO_PSDL_Fixed_Pt_Type * | fixed_pt_type | ) | `[virtual]`

| Reimplemented in Dump_Visitor, and TAO_PSDL_Scope_Visitor.

int TAO_PSDL_Node_Visitor::visit_forward_dcl | ( | TAO_PSDL_Forward_Dcl * | forward_dcl | ) | `[virtual]`

| Reimplemented in Dump_Visitor, TAO_PSDL_Interface_Visitor, and TAO_PSDL_Scope_Visitor.

int TAO_PSDL_Node_Visitor::visit_identifier | ( | TAO_PSDL_Identifier * | identifier | ) | `[virtual]`

| Reimplemented in Dump_Visitor, TAO_PSDL_Enum_Type_Visitor, TAO_PSDL_Exception_Visitor, TAO_PSDL_Interface_Visitor, TAO_PSDL_Scope_Visitor, TAO_PSDL_Struct_Visitor, and TAO_PSDL_Type_Dcl_Visitor.

int TAO_PSDL_Node_Visitor::visit_init_dcl | ( | TAO_PSDL_Init_Dcl * |  | ) | `[virtual]`

| Reimplemented in Dump_Visitor, and TAO_PSDL_Scope_Visitor.

int TAO_PSDL_Node_Visitor::visit_init_param_decl | ( | TAO_PSDL_Init_Param_Decl * |  | ) | `[virtual]`

| Reimplemented in Dump_Visitor, and TAO_PSDL_Scope_Visitor.

int TAO_PSDL_Node_Visitor::visit_init_param_decls | ( | TAO_PSDL_Init_Param_Decls * |  | ) | `[virtual]`

| Reimplemented in Dump_Visitor, and TAO_PSDL_Scope_Visitor.

int TAO_PSDL_Node_Visitor::visit_interface | ( | TAO_PSDL_Interface * | interface | ) | `[virtual]`

| Reimplemented in Dump_Visitor, and TAO_PSDL_Scope_Visitor.

int TAO_PSDL_Node_Visitor::visit_interface_body | ( | TAO_PSDL_Interface_Body * | interface_body | ) | `[virtual]`

| Reimplemented in Dump_Visitor, and TAO_PSDL_Scope_Visitor.

int TAO_PSDL_Node_Visitor::visit_interface_dcl | ( | TAO_PSDL_Interface_Dcl * | interface_dcl | ) | `[virtual]`

| Reimplemented in Dump_Visitor, TAO_PSDL_Interface_Visitor, and TAO_PSDL_Scope_Visitor.

int TAO_PSDL_Node_Visitor::visit_interface_header | ( | TAO_PSDL_Interface_Header * | interface_header | ) | `[virtual]`

| Reimplemented in Dump_Visitor, TAO_PSDL_Interface_Visitor, and TAO_PSDL_Scope_Visitor.

int TAO_PSDL_Node_Visitor::visit_interface_inheritance_spec | ( | TAO_PSDL_Interface_Inheritance_Spec * | interface_inh_spec | ) | `[virtual]`

| Reimplemented in Dump_Visitor, and TAO_PSDL_Scope_Visitor.

int TAO_PSDL_Node_Visitor::visit_interface_name | ( | TAO_PSDL_Interface_Name * | interface_name | ) | `[virtual]`

| Reimplemented in Dump_Visitor, and TAO_PSDL_Scope_Visitor.

int TAO_PSDL_Node_Visitor::visit_key_dcl | ( | TAO_PSDL_Key_Dcl * | key_dcl | ) | `[virtual]`

| Reimplemented in Dump_Visitor, and TAO_PSDL_Scope_Visitor.

int TAO_PSDL_Node_Visitor::visit_literal | ( | TAO_PSDL_Literal * |  | ) | `[virtual]`

| Reimplemented in Dump_Visitor, and TAO_PSDL_Scope_Visitor.

int TAO_PSDL_Node_Visitor::visit_local_op_dcl | ( | TAO_PSDL_Local_Op_Dcl * | local_op_dcl | ) | `[virtual]`

| Reimplemented in Dump_Visitor, and TAO_PSDL_Scope_Visitor.

int TAO_PSDL_Node_Visitor::visit_member | ( | TAO_PSDL_Member * | member | ) | `[virtual]`

| Reimplemented in Dump_Visitor, and TAO_PSDL_Scope_Visitor.

int TAO_PSDL_Node_Visitor::visit_member_list | ( | TAO_PSDL_Member_List * | member_list | ) | `[virtual]`

| Reimplemented in Dump_Visitor, TAO_PSDL_Exception_Visitor, and TAO_PSDL_Scope_Visitor.

int TAO_PSDL_Node_Visitor::visit_module | ( | TAO_PSDL_Module * | module | ) | `[virtual]`

| Reimplemented in Dump_Visitor, TAO_PSDL_Module_Visitor, and TAO_PSDL_Scope_Visitor.

int TAO_PSDL_Node_Visitor::visit_mult_expr | ( | TAO_PSDL_Mult_Expr * |  | ) | `[virtual]`

| Reimplemented in Dump_Visitor, and TAO_PSDL_Scope_Visitor.

int TAO_PSDL_Node_Visitor::visit_op_dcl | ( | TAO_PSDL_Op_Dcl * | op_dcl | ) | `[virtual]`

| Reimplemented in Dump_Visitor, and TAO_PSDL_Scope_Visitor.

int TAO_PSDL_Node_Visitor::visit_op_type_spec | ( | TAO_PSDL_Op_Type_Spec * | op_type_spec | ) | `[virtual]`

| Reimplemented in Dump_Visitor, and TAO_PSDL_Scope_Visitor.

int TAO_PSDL_Node_Visitor::visit_or_expr | ( | TAO_PSDL_Or_Expr * |  | ) | `[virtual]`

| Reimplemented in Dump_Visitor, and TAO_PSDL_Scope_Visitor.

int TAO_PSDL_Node_Visitor::visit_param_dcl | ( | TAO_PSDL_Param_Dcl * | param_dcl | ) | `[virtual]`

| Reimplemented in Dump_Visitor, and TAO_PSDL_Scope_Visitor.

int TAO_PSDL_Node_Visitor::visit_param_type_spec | ( | TAO_PSDL_Param_Type_Spec * | param_type_spec | ) | `[virtual]`

| Reimplemented in Dump_Visitor, and TAO_PSDL_Scope_Visitor.

int TAO_PSDL_Node_Visitor::visit_parameter_dcls | ( | TAO_PSDL_Parameter_Dcls * | parameter_dcls | ) | `[virtual]`

| Reimplemented in Dump_Visitor, and TAO_PSDL_Scope_Visitor.

int TAO_PSDL_Node_Visitor::visit_positive_int_const | ( | TAO_PSDL_Positive_Int_Const * |  | ) | `[virtual]`

| Reimplemented in Dump_Visitor, and TAO_PSDL_Scope_Visitor.

int TAO_PSDL_Node_Visitor::visit_predefined_type | ( | TAO_PSDL_Predefined_Type * | predefined_type | ) | `[virtual]`

| Reimplemented in Dump_Visitor, TAO_PSDL_Enum_Type_Visitor, TAO_PSDL_Exception_Visitor, TAO_PSDL_Scope_Visitor, TAO_PSDL_Struct_Visitor, and TAO_PSDL_Type_Dcl_Visitor.

int TAO_PSDL_Node_Visitor::visit_primary_expr | ( | TAO_PSDL_Primary_Expr * |  | ) | `[virtual]`

| Reimplemented in Dump_Visitor, and TAO_PSDL_Scope_Visitor.

int TAO_PSDL_Node_Visitor::visit_primary_key_dcl | ( | TAO_PSDL_Primary_Key_Dcl * | primary_key_dcl | ) | `[virtual]`

| Reimplemented in Dump_Visitor, and TAO_PSDL_Scope_Visitor.

int TAO_PSDL_Node_Visitor::visit_provides_dcl | ( | TAO_PSDL_Provides_Dcl * |  | ) | `[virtual]`

| Reimplemented in Dump_Visitor, and TAO_PSDL_Scope_Visitor.

int TAO_PSDL_Node_Visitor::visit_psdl_concrete_state_type | ( | TAO_PSDL_Psdl_Concrete_State_Type * |  | ) | `[virtual]`

| Reimplemented in Dump_Visitor, and TAO_PSDL_Scope_Visitor.

int TAO_PSDL_Node_Visitor::visit_psdl_state_dcl | ( | TAO_PSDL_Psdl_State_Dcl * |  | ) | `[virtual]`

| Reimplemented in Dump_Visitor, and TAO_PSDL_Scope_Visitor.

int TAO_PSDL_Node_Visitor::visit_psdl_state_type_spec | ( | TAO_PSDL_Psdl_State_Type_Spec * |  | ) | `[virtual]`

| Reimplemented in Dump_Visitor, and TAO_PSDL_Scope_Visitor.

int TAO_PSDL_Node_Visitor::visit_raises_expr | ( | TAO_PSDL_Raises_Expr * | raises_expr | ) | `[virtual]`

| Reimplemented in Dump_Visitor, and TAO_PSDL_Scope_Visitor.

int TAO_PSDL_Node_Visitor::visit_ref_rep_directive | ( | TAO_PSDL_Ref_Rep_Directive * |  | ) | `[virtual]`

| Reimplemented in Dump_Visitor, and TAO_PSDL_Scope_Visitor.

int TAO_PSDL_Node_Visitor::visit_scoped_name | ( | TAO_PSDL_Scoped_Name * | scoped_name | ) | `[virtual]`

| Reimplemented in Dump_Visitor, and TAO_PSDL_Scope_Visitor.

int TAO_PSDL_Node_Visitor::visit_shift_expr | ( | TAO_PSDL_Shift_Expr * |  | ) | `[virtual]`

| Reimplemented in Dump_Visitor, and TAO_PSDL_Scope_Visitor.

int TAO_PSDL_Node_Visitor::visit_simple_declarator | ( | TAO_PSDL_Simple_Declarator * | simple_declarator | ) | `[virtual]`

| Reimplemented in Dump_Visitor, and TAO_PSDL_Scope_Visitor.

int TAO_PSDL_Node_Visitor::visit_simple_declarator_list | ( | TAO_PSDL_Simple_Declarator_List * | simple_decl_list | ) | `[virtual]`

| Reimplemented in Dump_Visitor, and TAO_PSDL_Scope_Visitor.

int TAO_PSDL_Node_Visitor::visit_simple_type_spec | ( | TAO_PSDL_Simple_Type_Spec * | simple_type_spec | ) | `[virtual]`

| Reimplemented in Dump_Visitor, and TAO_PSDL_Scope_Visitor.

int TAO_PSDL_Node_Visitor::visit_specification | ( | TAO_PSDL_Specification * | specification | ) | `[virtual]`

| Reimplemented in Dump_Visitor, and TAO_PSDL_Scope_Visitor.

int TAO_PSDL_Node_Visitor::visit_state_member | ( | TAO_PSDL_State_Member * |  | ) | `[virtual]`

| Reimplemented in Dump_Visitor, and TAO_PSDL_Scope_Visitor.

int TAO_PSDL_Node_Visitor::visit_storagehome | ( | TAO_PSDL_Storagehome * | storagehome | ) | `[virtual]`

| Reimplemented in Dump_Visitor, and TAO_PSDL_Scope_Visitor.

int TAO_PSDL_Node_Visitor::visit_storagehome_body | ( | TAO_PSDL_Storagehome_Body * | sh_body | ) | `[virtual]`

| Reimplemented in Dump_Visitor, and TAO_PSDL_Scope_Visitor.

int TAO_PSDL_Node_Visitor::visit_storagehome_header | ( | TAO_PSDL_Storagehome_Header * | sh_header | ) | `[virtual]`

| Reimplemented in Dump_Visitor, and TAO_PSDL_Scope_Visitor.

int TAO_PSDL_Node_Visitor::visit_storagehome_impl_spec | ( | TAO_PSDL_Storagehome_Impl_Spec * | sh_impl_spec | ) | `[virtual]`

| Reimplemented in Dump_Visitor, and TAO_PSDL_Scope_Visitor.

int TAO_PSDL_Node_Visitor::visit_storagehome_inh_spec | ( | TAO_PSDL_Storagehome_Inh_Spec * | sh_inh_spec | ) | `[virtual]`

| Reimplemented in Dump_Visitor, and TAO_PSDL_Scope_Visitor.

int TAO_PSDL_Node_Visitor::visit_storagehome_member | ( | TAO_PSDL_Storagehome_Member * | sh_member | ) | `[virtual]`

| Reimplemented in Dump_Visitor, and TAO_PSDL_Scope_Visitor.

int TAO_PSDL_Node_Visitor::visit_storagehome_name | ( | TAO_PSDL_Storagehome_Name * | sh_name | ) | `[virtual]`

| Reimplemented in Dump_Visitor, and TAO_PSDL_Scope_Visitor.

int TAO_PSDL_Node_Visitor::visit_storagehome_scope | ( | TAO_PSDL_Storagehome_Scope * |  | ) | `[virtual]`

| Reimplemented in Dump_Visitor, and TAO_PSDL_Scope_Visitor.

int TAO_PSDL_Node_Visitor::visit_storagetype | ( | TAO_PSDL_Storagetype * | storagetype | ) | `[virtual]`

| Reimplemented in Dump_Visitor, and TAO_PSDL_Scope_Visitor.

int TAO_PSDL_Node_Visitor::visit_storagetype_body | ( | TAO_PSDL_Storagetype_Body * |  | ) | `[virtual]`

| Reimplemented in Dump_Visitor, and TAO_PSDL_Scope_Visitor.

int TAO_PSDL_Node_Visitor::visit_storagetype_dcl | ( | TAO_PSDL_Storagetype_Dcl * |  | ) | `[virtual]`

| Reimplemented in Dump_Visitor, and TAO_PSDL_Scope_Visitor.

int TAO_PSDL_Node_Visitor::visit_storagetype_fwd_dcl | ( | TAO_PSDL_Storagetype_Fwd_Dcl * |  | ) | `[virtual]`

| Reimplemented in Dump_Visitor, and TAO_PSDL_Scope_Visitor.

int TAO_PSDL_Node_Visitor::visit_storagetype_header | ( | TAO_PSDL_Storagetype_Header * |  | ) | `[virtual]`

| Reimplemented in Dump_Visitor, and TAO_PSDL_Scope_Visitor.

int TAO_PSDL_Node_Visitor::visit_storagetype_impl_spec | ( | TAO_PSDL_Storagetype_Impl_Spec * |  | ) | `[virtual]`

| Reimplemented in Dump_Visitor, and TAO_PSDL_Scope_Visitor.

int TAO_PSDL_Node_Visitor::visit_storagetype_inh_spec | ( | TAO_PSDL_Storagetype_Inh_Spec * |  | ) | `[virtual]`

| Reimplemented in Dump_Visitor, and TAO_PSDL_Scope_Visitor.

int TAO_PSDL_Node_Visitor::visit_storagetype_member | ( | TAO_PSDL_Storagetype_Member * |  | ) | `[virtual]`

| Reimplemented in Dump_Visitor, and TAO_PSDL_Scope_Visitor.

int TAO_PSDL_Node_Visitor::visit_storagetype_name | ( | TAO_PSDL_Storagetype_Name * | storagetype_name | ) | `[virtual]`

| Reimplemented in Dump_Visitor, and TAO_PSDL_Scope_Visitor.

int TAO_PSDL_Node_Visitor::visit_storagetype_ref_type | ( | TAO_PSDL_Storagetype_Ref_Type * |  | ) | `[virtual]`

| Reimplemented in Dump_Visitor, and TAO_PSDL_Scope_Visitor.

int TAO_PSDL_Node_Visitor::visit_store_directive | ( | TAO_PSDL_Store_Directive * |  | ) | `[virtual]`

| Reimplemented in Dump_Visitor, and TAO_PSDL_Scope_Visitor.

int TAO_PSDL_Node_Visitor::visit_switch_body | ( | TAO_PSDL_Switch_Body * |  | ) | `[virtual]`

| Reimplemented in Dump_Visitor, and TAO_PSDL_Scope_Visitor.

int TAO_PSDL_Node_Visitor::visit_switch_type_spec | ( | TAO_PSDL_Switch_Type_Spec * |  | ) | `[virtual]`

| Reimplemented in Dump_Visitor, and TAO_PSDL_Scope_Visitor.

int TAO_PSDL_Node_Visitor::visit_template_type_spec | ( | TAO_PSDL_Template_Type_Spec * | template_type_spec | ) | `[virtual]`

| Reimplemented in Dump_Visitor, and TAO_PSDL_Scope_Visitor.

int TAO_PSDL_Node_Visitor::visit_type_dcl | ( | TAO_PSDL_Type_Dcl * | type_dcl | ) | `[virtual]`

| Reimplemented in Dump_Visitor, and TAO_PSDL_Scope_Visitor.

int TAO_PSDL_Node_Visitor::visit_type_declarator | ( | TAO_PSDL_Type_Declarator * | type_declarator | ) | `[virtual]`

| Reimplemented in Dump_Visitor, TAO_PSDL_Scope_Visitor, TAO_PSDL_Type_Dcl_Visitor, and TAO_PSDL_Typecode_Defn.

int TAO_PSDL_Node_Visitor::visit_type_spec | ( | TAO_PSDL_Type_Spec * | type_spec | ) | `[virtual]`

| Reimplemented in Dump_Visitor, TAO_PSDL_Scope_Visitor, and TAO_PSDL_Struct_Visitor.

int TAO_PSDL_Node_Visitor::visit_unary_expr | ( | TAO_PSDL_Unary_Expr * |  | ) | `[virtual]`

| Reimplemented in Dump_Visitor, and TAO_PSDL_Scope_Visitor.

int TAO_PSDL_Node_Visitor::visit_union_type | ( | TAO_PSDL_Union_Type * |  | ) | `[virtual]`

| Reimplemented in Dump_Visitor, and TAO_PSDL_Scope_Visitor.

int TAO_PSDL_Node_Visitor::visit_value | ( | TAO_PSDL_Value * |  | ) | `[virtual]`

| Reimplemented in Dump_Visitor, and TAO_PSDL_Scope_Visitor.

int TAO_PSDL_Node_Visitor::visit_value_abs_dcl | ( | TAO_PSDL_Value_Abs_Dcl * |  | ) | `[virtual]`

| Reimplemented in Dump_Visitor, and TAO_PSDL_Scope_Visitor.

int TAO_PSDL_Node_Visitor::visit_value_box_dcl | ( | TAO_PSDL_Value_Box_Dcl * |  | ) | `[virtual]`

| Reimplemented in Dump_Visitor, and TAO_PSDL_Scope_Visitor.

int TAO_PSDL_Node_Visitor::visit_value_common_base | ( | TAO_PSDL_Value_Common_Base * |  | ) | `[virtual]`

| Reimplemented in Dump_Visitor, and TAO_PSDL_Scope_Visitor.

int TAO_PSDL_Node_Visitor::visit_value_dcl | ( | TAO_PSDL_Value_Dcl * |  | ) | `[virtual]`

| Reimplemented in Dump_Visitor, and TAO_PSDL_Scope_Visitor.

int TAO_PSDL_Node_Visitor::visit_value_element | ( | TAO_PSDL_Value_Element * |  | ) | `[virtual]`

| Reimplemented in Dump_Visitor, and TAO_PSDL_Scope_Visitor.

int TAO_PSDL_Node_Visitor::visit_value_forward_dcl | ( | TAO_PSDL_Value_Forward_Dcl * |  | ) | `[virtual]`

| Reimplemented in Dump_Visitor, and TAO_PSDL_Scope_Visitor.

int TAO_PSDL_Node_Visitor::visit_value_header | ( | TAO_PSDL_Value_Header * |  | ) | `[virtual]`

| Reimplemented in Dump_Visitor, and TAO_PSDL_Scope_Visitor.

int TAO_PSDL_Node_Visitor::visit_value_inheritance_spec | ( | TAO_PSDL_Value_Inheritance_Spec * |  | ) | `[virtual]`

| Reimplemented in Dump_Visitor, and TAO_PSDL_Scope_Visitor.

int TAO_PSDL_Node_Visitor::visit_value_name | ( | TAO_PSDL_Value_Name * |  | ) | `[virtual]`

| Reimplemented in Dump_Visitor, and TAO_PSDL_Scope_Visitor.

int TAO_PSDL_Node_Visitor::visit_xor_expr | ( | TAO_PSDL_Xor_Expr * |  | ) | `[virtual]`

| Reimplemented in Dump_Visitor, and TAO_PSDL_Scope_Visitor.

## Member Data Documentation

CORBA::ULong TAO_PSDL_Node_Visitor::count_`[protected]`

ACE_Array_Base<ACE_CString> TAO_PSDL_Node_Visitor::identifiers_`[protected]`

TAO_PSDL_Node_Visitor* TAO_PSDL_Node_Visitor::node_visitor_`[protected]`

ACE_Array_Base<CORBA::ULong> TAO_PSDL_Node_Visitor::predefined_type_`[protected]`

TAO_PSDL_Visitor_Factory* TAO_PSDL_Node_Visitor::visitor_factory_`[protected]`

The documentation for this class was generated from the following files:

- PSDL_Node_Visitor.h
- PSDL_Node_Visitor.cpp